# $Revision: 1.4.2.1 $, $Date: 2003/03/13 00:56:39 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	Audio
%define		pnam	OSS
Summary:	Audio::OSS Perl module - interface to Open Sound System
Summary(pl):	Modu Perla Audio::OSS - interfejs do Open Sound System
Name:		perl-Audio-OSS
Version:	0.0501
Release:	3
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
Provides:	perl(Audio::OSS::Constants)
# it uses C code only at build time - built package doesn't contain any binaries
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a pure-Perl, no-nonsense, filehandle-based
interface to the Open Sound System. Audio::DSP is fine for simple,
blocking audio I/O, but it doesn't hold up when you want to do
something more complicated. That is, it doesn't expose the features of
the audio device interface that are required to do things like
non-blocking audio, real-time control of playback, querying the
capabilities of the audio device, finding the supported sampling
rates, etc. Audio::OSS provides a procedural interface based around
filehandles opened on the audio device (usually /dev/dsp* for PCM
audio). It also defines constants for various ioctl calls and other
things based on the OSS system header files, so you don't have to rely
on .ph files that may or may be correct or even present on your
system.

%description -l pl
Ten modu udostpnia czysto perlowy, logiczny, oparty na uchwytach
plikw interfejs do systemu dwiku Open Sound. Audio::DSP jest dobry
do prostego, blokujcego odtwarzania/nagrywania dwiku, ale nie
wystarcza, jeli trzeba zrobi co bardziej skomplikowanego. To znaczy
nie udostpnia moliwoci interfejsu OSS potrzebnych do rzeczy takich
jak nie blokujcy dwik, kontrola odtwarzania w czasie rzeczywistym,
odczytywanie moliwoci urzdzenia dwikowego, sprawdzanie
obsugiwanych czstotliwoci prbkowania itp. Modu Audio::OSS
udostpnia proceduralny interfejs oparty na uchwytach plikw
zwizanych z urzdzeniem dwikowym (zazwyczaj /dev/dsp* dla dwiku
PCM). Modu take definiuje sta dla rnych wywoa ioctl oraz
innych rzeczy zwizanych z plikami nagwkowymi OSS, wic nie trzeba
polega na plikach .ph.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Audio/OSS.pm
%{perl_sitelib}/Audio/OSS
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Audio-OSS.spec,v $
Revision 1.4.2.1  2003/03/13 00:56:39  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:36:46  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:26:28  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/14 18:33:42  ankry
- Provides: perl(Audio::OSS::Constants) (not recognized by
  rpm-perlprov-4.0.2, release 2

Revision 1.1  2002/08/15 17:54:58  qboosh
- new

